import { Middleware } from '@nuxt/types';

const getUrlQuery: Middleware = (context) => {
  const currentRouteName = context.route.name;
  const satisfactionIdFromMsg = context.route.query.appointmentId;
  const isUserLogin = context.store.getters['localStorage/isUserLogin'];

  if (currentRouteName === 'index' && satisfactionIdFromMsg) {
    context.store.commit('localStorage/storageSatisfactionIdFromMsg', satisfactionIdFromMsg);
    if (!isUserLogin) {
      context.redirect('/login');
    }
  }
}

export default getUrlQuery